%define major		0
%define apiver		2.0
%define libname		%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname %{name} -d
%define develsname	%mklibname %{name} -d -s

%define sname		SDL2_image

Summary:	Simple DirectMedia Layer 2 - image
Name:		sdl2_image
Version:	2.8.2
Release:	%mkrel 1
License:	zlib
Group:		System/Libraries
URL:		https://github.com/libsdl-org/SDL_image
Source0:	https://www.libsdl.org/projects/SDL_image/release/%{sname}-%{version}.tar.xz

BuildRequires:	pkgconfig(libavif)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libjxl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(sdl2)

%description
This is a simple library to load images of various formats as SDL2 surfaces.
This library currently supports BMP, PPM, PCX, GIF, JPEG, and PNG formats.

This package contains the binary `sdl2show' to test the library.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{major}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{develsname}
Summary:	Static library for developing static programs that use %{name}
Group:		Development/Libraries
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	%{sname}-static-devel = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package -n %{libname}-test
Summary:	Test binary for %{name}
Group:		System/Libraries

%description -n %{libname}-test
This package contains binary to test the associated library.

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
# (anssi) --disable-x-shared disable dlopening, so that we link to them
# dynamically instead, and thus get correct autorequires
%configure2_5x \
		--disable-avif-shared \
		--disable-jpg-shared \
		--disable-jxl-shared \
		--disable-png-shared \
		--disable-tif-shared \
		--disable-webp-shared

%make_build

%install
%make_install

rm -rf %buildroot/%{_libdir}/libSDL2_image.la

install -d %{buildroot}%{_bindir}
install -m755 .libs/showimage %{buildroot}%{_bindir}/sdl2show

%files -n %{libname}-test
%{_bindir}/sdl2show

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/SDL2_image.pc
%{_libdir}/cmake/SDL2_image/

%files -n %{develsname}
%{_libdir}/*.a


%changelog
* Thu Jan 11 2024 tex - 2.8.2-1pclos2024
- new version

* Thu Dec 14 2023 tex - 2.8.1-1pclos2024
- new version: 2.8.1
